Description: Fix segfault with interpolating $@ in triggered command
Author: Emmanuel Bouthenot <kolter@debian.org>
Bug-Debian: https://bugs.debian.org/947425
Forwarded: not-needed
Last-Update: 2022-10-22
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/usertable.cpp
+++ b/usertable.cpp
@@ -422,7 +422,7 @@
       else {
         cmd.append(cs.substr(oldpos, pos-oldpos));
         if (cs[px] == '@') {          // base path
-          cmd.append(IncronTabEntry::GetSafePath(pW->GetPath()));
+          cmd.append(IncronTabEntry::GetSafePath(pW->GetPath().c_str()));
           oldpos = pos + 2;
         }
         else if (cs[px] == '#') {     // file name
